Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596078 - ceph-mon: Generate initial keyring should work on both python 2 and 3
Summary: ceph-mon: Generate initial keyring should work on both python 2 and 3
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 3.1
Assignee: leseb
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 08:36 UTC by leseb
Modified: 2018-07-13 07:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-12 18:46:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 2797 None None None 2018-06-28 08:36:37 UTC

Description leseb 2018-06-28 08:36:37 UTC
Description of problem:

ceph-mon: Generate initial keyring does not work on python3

Version-Release number of selected component (if applicable):


How reproducible:

The machine running ansible has python3

Steps to Reproduce:
1.
2.
3.

Actual results:

The task ceph-mon: Generate initial keyring fails

Expected results:

The task ceph-mon: Generate initial keyring should work

Additional info:

Comment 3 Ken Dreyer (Red Hat) 2018-07-12 18:46:52 UTC
We don't support Python 3 in the product, so we'll need to track this only when we ship a product based on Python 3.

Comment 4 seb 2018-07-13 07:33:13 UTC
Fine, but FYI this has been backported.


Note You need to log in before you can comment on or make changes to this bug.